LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFileIdentifierConverter Interface Referencepublished

specifies methods to convert between (file) URLs and file paths in system dependent notation. More...

`import"XFileIdentifierConverter.idl";`

Inheritance diagram for XFileIdentifierConverter:

## Public Member Functions
long | getFileProviderLocality ([in] string BaseURL)
| Get information about the "locality" of a file content provider. More...
string | getFileURLFromSystemPath ([in] string BaseURL, [in] string SystemPath)
| converts a file path in system dependent notation to a (file) URL. More...
string | getSystemPathFromFileURL ([in] string URL)
| converts a (file) URL to a file path in system dependent notation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies methods to convert between (file) URLs and file paths in system dependent notation.

Version
  1.0

## Member Function Documentation

## ◆ getFileProviderLocality()

long getFileProviderLocality | ( | [in] string | BaseURL | ) |

Get information about the "locality" of a file content provider.

The returned information can be used to choose the "best" among a number of file content providers implementing this interface.

Parameters

  BaseURL | the base (file) URL used to specify a file content provider.

Returns
  an appropriate value representing the "locality" of the specified file content provider. Generally, higher (non-negative) numbers denote file content providers that are more "local", and negative numbers denote content providers that are not file content providers at all. As a convention (and to keep this useful), values should be restricted to the range from -1 to +10, inclusive.

## ◆ getFileURLFromSystemPath()

string getFileURLFromSystemPath | ( | [in] string | BaseURL,
|  | [in] string | SystemPath
| ) |  |

converts a file path in system dependent notation to a (file) URL.

Parameters

  BaseURL | the base (file) URL relative to which the file path shall be interpreted.
  SystemPath | a file path in system dependent notation.

Returns
  the URL corresponding to the file path, or an empty string if the file path cannot be converted into a URL.

## ◆ getSystemPathFromFileURL()

string getSystemPathFromFileURL | ( | [in] string | URL | ) |

converts a (file) URL to a file path in system dependent notation.

Parameters

  URL | a (file) URL.

Returns
  the file path corresponding to the URL, or an empty string if the URL cannot be converted into a file path.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XFileIdentifierConverter.idl